# Interface CommandLine

All Known Subinterfaces:
  `VcfAnnotator`

All Known Implementing Classes:
  `FastqSplit, SnpEff, SnpEffCmdAcat, SnpEffCmdBuild, SnpEffCmdBuildNextProt, SnpEffCmdCds, SnpEffCmdClosest, SnpEffCmdCount, SnpEffCmdDatabases, SnpEffCmdDownload, SnpEffCmdDump, SnpEffCmdEff, SnpEffCmdGenes2Bed, SnpEffCmdGsa, SnpEffCmdLen, SnpEffCmdPdb, SnpEffCmdProtein, SnpEffCmdSeq, SnpEffCmdShow, SnpEffCmdSpliceAnalysis, SnpEffCmdTranslocationsReport, VcfAnnotatorChain`

public interface CommandLine
Command line and arguments The way to run a command from 'main' is usually: public static void main(String[] args) { Command cmd = new Command(); cmd.parseArgs(args); cmd.run(); }

Author:
  pcingola

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArgs()`
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run the command
`void`
`usage(String message)`
Show 'usage' message and exit with an error code '-1'

## Method Details

### getArgs

String[] getArgs()

### parseArgs

void parseArgs(String[] args)
Parse command line arguments

### run

boolean run()
Run the command

### usage

void usage(String message)
Show 'usage' message and exit with an error code '-1'